Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

Azure Secrets Management APIs

Fetching List of Azure Secrets

search

Please Note:

Fetching List of Azure Secrets

Use the get /v1/cckm/azure/secrets API to fetch the list of Azure secrets from Azure vault. The results can be filtered using the query parameters.

Syntax

curl -k '<IP>/api/v1/cckm/azure/secrets?skip=0&limit=10&sort=updatedAt' -H
'Authorization: Bearer AUTHTOKEN' -H 'accept: application/json' --compressed

Request Parameter

Parameter Type Description
AUTHTOKEN string Authorization token.

Request Query Parameters

Parameter Type Description
id string Internal ID of the Azure secret.
key_vault string Name of the Azure key vault.
key_vault_id string ID of the key vault.
secret_name string Name of the secret.
region string Region name.
status string Status of the secret.
backup string Backed up secrets.
enabled boolean Enabled secrets.
job_config_id string ID of the scheduler configuration job.
deleted_in_azure boolean Fetches the secrets based on their availability in Azure.
secret_id string Secret ID on Azure.
gone boolean Fetches secrets based on their existence in the cloud.
version string Fetches secrets based by version.
rotation_job_enabled boolean Fetches secrets based on the rotation job status.
tags string Fetches secrets based on their tags.
key_material_origin string Source of the secret material. The origin of the secret can be:
• cckm: Material is created on CCKM.
• native: Material is created on the Azure cloud.
• unknown: Source of the material is unknown. It is different than CCKM and the native cloud.
managed boolean Fetches secrets managed by AzureVaults.
skip integer Number of records to skip. For example, if "skip":5 is specified, the first five records will not be displayed in the output.
limit integer Numbers of records to display. For example, if "limit":10 is specified, then the next 10 records (after skipping the number of records specified in the skip parameter) will be displayed in the output.
sort string Comma-delimited list of properties to sort the results.

Example Request

curl -k 'https://127.0.0.1/api/v1/cckm/azure/secrets?skip=0&limit=10&sort=updatedAt' -H
'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiI1MDIzNTY1Yy0xOWI3LTQyY2UtODZmMi1jNWI3MTA1MTJhZjMiLCJzdWIiOiJsb2NhbHwwMWI4M2EwZS1mY2U1LTQ5MjgtODhiNi0zNTNkMmQ3ZTBiNDMiLCJpc   3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4  iXSwic2lkIjoiZGJlNzU2MWYtZDVhOS00ZGEzLWJiZTEtNjlhMTg0Y2U3YzEzIiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6Ijg0MjMxNmZhLWFiOTItNGQ2Ni1hM  jQ4LTkxM2I2MmNhOTQzNSIsImlhdCI6MTYwMTQ2MDc5NCwiZXhwIjoxNjAxNDYxMDk0fQ.4ZoMwbFAYHRHfQbf_yhQ-f5j75HaNaWViOSunTrt8xw' -H 'accept: application/json' --compressed

Example Response

{
    "skip": 0,
    "limit": 10,
    "total": 1,
    "resources": [
        {
            "id": "73524b70-1234-4f92-954b-6312f4567d1a",
            "uri": "kylo:kylo:cckm:azure-secret:73524b70-1234-4f92-954b-6312f4567d1a",
            "account": "kylo:kylo:admin:accounts:kylo",
            "application": "ncryptify:gemalto:admin:apps:kylo",
            "devAccount": "ncryptify:gemalto:admin:accounts:gemalto",
            "createdAt": "2022-03-30T09:56:14.567777723Z",
            "updatedAt": "2022-03-30T09:56:14.563283073Z",
            "key_vault": "cckm-test-soft-delete::260ed52e-777b-4d3c-84ea-887846298863",
            "key_vault_id": "9ae64517-7249-42a9-bf86-9252add02ef9",
            "region": "eastus",
            "deleted": false,
            "backup_at": "2022-03-30T09:56:14.563055462Z",
            "soft_delete_enabled": true,
            "key_soft_deleted_in_azure": false,
            "syncedAt": "2022-03-30T09:56:15Z",
            "created_by": "a8f38993-aa49-4281-888c-52afd80af6b1",
            "modified_by": "a8f38993-aa49-4281-888c-52afd80af6b1",
            "backup": "1d92fa15995e471eb9afdcf12ddae350ac3143034e2048390bdd7eb69d21cf2",
            "secret_name": "key-28-mar-01",
            "azure_param": {
                "value": "dummy value",
                "attributes": {
                    "recoveryLevel": "Recoverable",
                    "enabled": true,
                    "created": 1648634175,
                    "updated": 1648634175
                }
            },
            "azure_created_at": "2022-03-30T09:56:15Z",
            "azure_updated_at": "2022-03-30T09:56:15Z",
            "tenant": "d27d849e-e487-4b0e-a54c-a6e177867d10",
            "status": "AVAILABLE"
        }
    ]
}

Response Codes

Response Code Description
2xx Success
4xx Client errors
5xx Server errors

Refer to HTTP status codes for details.